package ru.ldeloff.hedgehogcloud.service;

import org.springframework.security.core.userdetails.UserDetails;
import org.springframework.security.core.userdetails.UserDetailsService;
import ru.ldeloff.hedgehogcloud.entity.UserEntity;

public interface UserService extends UserDetailsService {
    UserDetails loadUserByUsername(String username);
    void saveUser(UserEntity user);
    UserEntity getByUserName(String name); // TODO попробовать userdetails юзать
}
